#ifndef OLED_FUNCTIONS_H
#define OLED_FUNCTIONS_H

#include <Adafruit_GFX.h>
#include <Adafruit_SH110X.h>

Adafruit_SH110X display = Adafruit_SH110X(64, 128, &Wire);

#define BUTTON_A_PIN  9
#define BUTTON_B_PIN  6
#define BUTTON_C_PIN  5

#define OLED_ROW0 0
#define OLED_ROW1 8
#define OLED_ROW2 16
#define OLED_ROW3 24
#define OLED_ROW4 32
#define OLED_ROW5 40
#define OLED_ROW6 48
#define OLED_ROW_COUNT 7

const uint8_t oledRowPixel[OLED_ROW_COUNT] = {OLED_ROW0,
                                              OLED_ROW1,
                                              OLED_ROW2,
                                              OLED_ROW3,
                                              OLED_ROW4,
                                              OLED_ROW5,
                                              OLED_ROW6};

#define OLED_COL0 0
#define OLED_COL1 10
#define OLED_COL_COUNT 2

const uint8_t oledColPixel[OLED_COL_COUNT] = {0,
                                              10};

#define BUTTON_DEBOUNCE_DELAY 50
#define BUTTON_REPEAT_BEGIN_DELAY 500
#define BUTTON_REPEAT_REPEAT_DELAY 150
#define BUTTONA 0
#define BUTTONB 1
#define BUTTONC 2
#define BUTTON_COUNT 3

// button logic state holders
uint8_t buttonPin[BUTTON_COUNT];
bool buttonState[BUTTON_COUNT];
int buttonChangedDelay[BUTTON_COUNT];
bool buttonChangedFlg[BUTTON_COUNT];
bool buttonChangedState[BUTTON_COUNT];
int buttonRepeatBeginTime[BUTTON_COUNT];
int buttonRepeatRepeatTime[BUTTON_COUNT];

#endif
