// serial buffers
String inputString0 = "";      // a String to hold incoming data
bool stringComplete0 = false;  // whether the string is complete

void checkSerialReceiveComplete(void) {
  if (stringComplete0) {
    eventSerialReceiveComplete(inputString0);
    // clear the string:
    inputString0 = "";
    stringComplete0 = false;
  }
}

void serialEventRun(void) {
  if (Serial.available()) 
          eventSerialReceive();
}

void eventSerialReceive() {
  while (Serial.available()) {
    // get the new byte:
    char inChar = (char)Serial.read();
    // add it to the inputString:
    inputString0 += inChar;
    // if the incoming character is a newline, set a flag so the main loop can
    // do something about it:
    if (inChar == '\n') {
      stringComplete0 = true;
    }
  }
}

void eventSerialReceiveComplete(String inputString) {
  uint8_t inputStringLength = inputString.length();
  Serial.print("processInput length   = ");
  Serial.println(inputStringLength);
  Serial.print("processInput          = ");
  Serial.println(inputString);
}
